2019-05-24 15:03 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0003534DarkSeed[WHDLoad Installs Games] slavepublic2018-02-15 20:05
ReporterHexaae 
Assigned ToWeplProject InfoDarkseed (CyberDreams)
http://www.whdload.de/games/DarkSeed.html
 
PrioritynormalSeveritycrashReproducibilityalways
StatusresolvedResolutionfixed 
Summary0003534: WHLoad crash using Quit from disk menu
DescriptionIf you Quit the game from disk menu a WHDLoad crash will be reported at Workbench screen.
TagsNo tags attached.
MachineUAE
CPU68020
CPUSpeed50
ChipSetAGA
GFXCardNone
ChipMem2 MB
FastMem0 MB
WorkbenchOS 3.0
KickROM40 - Kick 3.1
KickSoftNone
WHDLoad18.2
imported
Attached Files
  • ? file icon .whdl_register (3,312 bytes) 2018-02-14 22:48 -
    ************************* 29-Gen-18 18:15:24 ************************18.3.5863***
    Slave='DarkSeed.Slave' (3984 bytes)
    ShadowMem 10FB8940 - 10FD0940 (  98304) AbsolutMem    18000 -    90000 ( 491520)
    Resload   1FFEC000 - 1FFF3C8C (  31884) at 1FFEC000  GL=$1FFF5000
    Slave     1FFFE000 - 1FFFEF6C (   3948) at 1FFFE000  BaseMemSize=$90000
    ExpMem    1FE83000 - 1FF43000 ( 786432) at 1FE83000
    attn=27F(UAE,40,82) fc=-1 kn=10336 cs=A7CE rw=0 zpt=-1 ep=0 ei=0
    setcpu=331(DC,IC,SCB,ENCS,BNC)
    
    Exception "Illegal Instruction" ($10) at $1FEC7DE4 (ExpMem $44DE4) occured.
    
    $1fec7dc0 dc.w         $1feb
    $1fec7dc2 cmp.b        a4,d0
    $1fec7dc4 ori.b        #0,d0
    $1fec7dc8 dc.w         $1feb
    $1fec7dca line-a       $afd8
    $1fec7dcc ori.b        #0,d0
    $1fec7dd0 ori.b        #0,d0
    $1fec7dd4 dc.w         $1feb
    $1fec7dd6 line-a       $af14
    $1fec7dd8 dc.w         $1feb
    $1fec7dda dc.w         $7f18
    $1fec7ddc dc.w         $1feb
    $1fec7dde or.l         (a4)+,d4                       ;$1fedea70
    $1fec7de0 ori.b        #$96,d0
    $1fec7de4 dc.w         $1feb
    $1fec7de6 and.b        -(a4),d6                       ;$1fedea70
    $1fec7de8 dc.w         $1feb
    $1fec7dea dc.w         $795e
    $1fec7dec dc.w         $1feb
    $1fec7dee moveq        #-$70,d5
    $1fec7df0 dc.w         $1feb
    $1fec7df2 moveq        #-$6a,d5
    $1fec7df4 dc.w         $1feb
    $1fec7df6 moveq        #-$64,d5
    $1fec7df8 dc.w         $1feb
    $1fec7dfa dc.w         $7506
    $1fec7dfc ori.b        #0,d0
    $1fec7e00 dc.w         $1feb
    $1fec7e02 moveq        #-4,d5
    
    exception stackframe:
    $1FF42FF8 00141FEC 7DE40010
    regular stack:
    $1FECB538 FFFFFFFF 1FEB792E 00000FA0 1FEC8828 1FEF4A28 0000C650 4E492020 2020554E
    $1FECB558 4F202020 20445545 20202020 00000000 00000000 00000000 00000000 00000000
    $1FECB578 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $1FECB598 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    $1FECB5B8 00000000 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    
      ----0---- ----1---- ----2---- ----3---- ----4---- ----5---- ----6---- ----7----
    Dx        0       F8C  1FED7C90      FFFF      FFFF      FFFF      FFFF   7FB5EE7
    Ax 1FEC340C  1FEC7C98  1FEC7DE0  1FEDF2C4  1FEDEA70    DFF000  1FEC7C98
    
                     TTSM III   XNZVC
    PC=1FEC7DE4  SR %0000000000010100  USP=1FECB538  ISP=1FF42FF8  MSP=8F800
    VBR=1FFF6000  SFC=5  DFC=5  CACR=80008000  MMUSR=0
    TC=8000  URP=1FFEA000  SRP=1FFEA000  DTT0=0  DTT1=0  ITT0=0  ITT1=0
    
             MEDRAAAABVCPSDT          YZ  PMRCBSDAAAA
    intena=%0110000001101100 dmacon=%0000001111110000 adkcon=$1100
    intreq=%0000011110000000
    vposr....A300  vhposr...025C  joy0dat..7106  joy1dat..0000  clxdat...81FF  
    pot0dat..0000  pot1dat..0000  potinp...5500  serdatr..3000  dskbytr..2000  
    deniseid.00F8  hhposr...FFFF  
       ciaa:     PI ROPS		   ciab:     PI ROPS
    	cra=00000000  ta=21FF<21FF	   cra=00000000  ta=FFFF<FFFF
    	    AII ROPS			    AII ROPS
    	crb=00001000  tb=D140<FFFF	   crb=10000000  tb=FFFF<FFFF
    	    10RTWCLO	  parallel	    DRCCDSOY      M3210HDS
    	pra=11111100  prb=11111111      pra=00000111  prb=11111111
           ddra=00000011 ddrb=00000000     ddra=11000000 ddrb=11111111
           event=00052D  icr=00  sdr=D4    event=000108  icr=04  sdr=00
    
    ? file icon .whdl_register (3,312 bytes) 2018-02-14 22:48 +
  • ? file icon DarkSeed.Slave (4,296 bytes) 2018-02-15 13:47

-Relationships
+Relationships

-Notes

note ~0005990

Hexaae (reporter)

Repro steps:
1. run the game
2. mouse cursor over the disk icon and click
3. click Quit from the list (Load, Save, Quit...)

note ~0006003

Wepl (manager)

WHDLoad will show an error requester?

note ~0006005

Hexaae (reporter)

Of course. Dump: https://drive.google.com/open?id=16ZPmDKr7O32_KNzAG2mGgAvZluwVM2oo

note ~0006024

Wepl (manager)

Please make a Coredump and attach the file .whdl_register here to this issue.

note ~0006025

Hexaae (reporter)

It's inside the DS_error.zip file above on my GDrive...

note ~0006027

Wepl (manager)

Please attach the file .whdl_register here to this issue.
It's very unhandy to download it from somewhere and I cannot access google drive here at all.

note ~0006030

Hexaae (reporter)

Ok... here is it .whdl_dump alone attached

note ~0006035

Wepl (manager)

please check attached slave

note ~0006036

Hexaae (reporter)

Works fine! No more crashes on Quit from in-game menu.

Missing only this for a perfect Darkseed slave, now: http://mantis.whdload.de/view.php?id=1507
;-)

note ~0006046

Wepl (manager)

updated install has been released
I will not fix 0001507, no time
+Notes

-Issue History
Date Modified Username Field Change
2016-08-16 01:09 Hexaae New Issue
2018-01-14 10:49 Hexaae Note Added: 0005990
2018-01-29 17:15 Wepl Note Added: 0006003
2018-01-29 18:17 Hexaae Note Added: 0006005
2018-02-13 17:17 Wepl Note Added: 0006024
2018-02-13 17:23 Hexaae Note Added: 0006025
2018-02-14 21:26 Wepl Note Added: 0006027
2018-02-14 22:48 Hexaae File Added: .whdl_register
2018-02-14 22:48 Hexaae Note Added: 0006030
2018-02-15 13:47 Wepl File Added: DarkSeed.Slave
2018-02-15 13:47 Wepl Note Added: 0006035
2018-02-15 13:47 Wepl Assigned To => Wepl
2018-02-15 13:47 Wepl Status new => assigned
2018-02-15 14:03 Hexaae Note Added: 0006036
2018-02-15 20:05 Wepl Note Added: 0006046
2018-02-15 20:05 Wepl Status assigned => resolved
2018-02-15 20:05 Wepl Resolution open => fixed
+Issue History